Subject: Re: [alpine-devel] NOT SPAM zsnes build report

From: Natanael Copa <[email-masked]>
Date: Tue, 24 May 2011 15:58:20 +0200

On Sun, 22 May 2011 21:02:04 +0000
"AlpineBuildBot" <[email-masked]> wrote:

> gcc -Os -fomit-frame-pointer -pipe -I. -I/usr/local/include
> -I/usr/include -D__UNIXSDL__  -I/usr/include/SDL -D_GNU_SOURCE=1
> -D_REENTRANT  -D__OPENGL__ -march=i486 -O3 -fomit-frame-pointer
> -fprefetch-loop-arrays -fforce-addr -s -D__RELEASE__ -o zip/zpng.o -c
> zip/zpng.c zip/zpng.c:1:0: warning: -fprefetch-loop-arrays not
> supported for this target (try -march switches) zip/zpng.c: In
> function 'Png_Dump': zip/zpng.c:132:17: error: dereferencing pointer
> to incomplete type make: *** [zip/zpng.o] Error 1 make: *** Waiting
> for unfinished jobs....

It seems like they were touching internal data structures. I think I
have fixed it but it needs testing.

-nc

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---